Portaal Portaal Pingviini veeb foorumi pealeht
  Viki  |  IRC  |  Otsing  |  Küsimused ja vastused  |  Profiil  |  Privaatsõnumite vaatamiseks logi sisse  | Logi sisse või Registreeru
<empty>
Vaata järgmist teemat
Vaata eelmist teemat

Postita uus teemaVasta teemale
Autor Sõnum
hannes
Pingviini aktivist
Pingviini aktivist


Vanus: 33
Liitunud: 18.06.2009
Postitused: 213
Asukoht: Pärnu
Distributsioon: Debian | Ubuntu
estonia.gif
postituspostitatud: 29.12.2013, 18:13  postituse pealkiri:  (teema puudub)  

Kood:
cd Downloads

ja oledki terminaliga Downloads kaustas.


kernull
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 03.08.2008
Postitused: 58
Asukoht: Tallinn

estonia.gif
postituspostitatud: 29.12.2013, 20:38  postituse pealkiri:  (teema puudub)  

Kai-do kirjutas:
2) Laadisin automaatse skripti "install-esteid-ubuntu.sh" download kausta.

3) Käivitasin terminalis "sudo sh install-esteid-ubuntu.sh", kuid sain vastuseks "sh: 0: Can't open install-esteid-ubuntu.sh"

Mis valesti võib olla?

sh tahab teada, kus install-esteid-ubuntu.sh asub, mingi otsimisega ta ise ei tegele. Asukohta saab näidata kas suhtelise või absoluutse teega.
Suhtelise teega käsk oleks (eeldades, et terminal on kodukataloogis):

Kood:
sudo sh Downloads/install-esteid-ubuntu.sh

Pane tähele, et enne Downloads-i ei ole kaldkriipsu.

Absoluutse tee puhul kirjutatakse kogu kataloogipuu haru alates juurkataloogist "/" :

Kood:
sudo sh /home/<username>/Downloads/install-esteid-ubuntu.sh


<username> asemele tuleb kirjutada sisselogimise nimi, see on tavaliselt kodukataloogi nimeks.

Kolmas variant on kasutades kodukataloogi sümboolset tähistust "~":

Kood:
sudo sh ~/Downloads/install-esteid-ubuntu.sh


asjameez
Vana Pingviin
Vana Pingviin


Vanus: 30
Liitunud: 09.03.2007
Postitused: 428
Asukoht: Tallinn
Distributsioon: Kubuntu
estonia.gif
postituspostitatud: 02.01.2014, 12:23  postituse pealkiri:  (teema puudub)  

Miks mul Chrome brauseris kunagi ei tööta ID kaart? Firefoxis pole 3.8 tarkvaraga probleeme.

_________________
"Dumbusers use Windows. Powerusers use Linux. Dumbusers who think they are powerusers use Mac."

natsa
Vana Pingviin
Vana Pingviin


Vanus: 74
Liitunud: 25.03.2009
Postitused: 537
Asukoht: Kärdla
Distributsioon: LMDE-2 Mate 64-bit
estonia.gif
postituspostitatud: 02.01.2014, 19:47  postituse pealkiri:  (teema puudub)  

asjameez kirjutas:
Miks mul Chrome brauseris kunagi ei tööta ID kaart? Firefoxis pole 3.8 tarkvaraga probleeme.


http://www.id.ee/?id=35974

Kui ilusti sammhaaval teha, hakkab tööle küll.

Terminalikäskude sisestamise ajal peavad olema KÕIK brauserid suletud!

_________________
Kõige parem asi on töötav asi.

imre
Vana Pingviin
Vana Pingviin



Liitunud: 16.08.2005
Postitused: 2548
Asukoht: Saku kant
Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 02.01.2014, 20:02  postituse pealkiri:  (teema puudub)  

libnss3-tools vajalik paigaldada ning siis käsk:
modutil -dbdir sql:$HOME/.pki/nssdb -add opensc-pkcs11 -libfile opensc-pkcs11.so -mechanisms FRIENDLY

Aga mina olen liigapalju laisk küll, et browserit sulgeda.
Peale toiminguid alles panin kinni ja uuesti tööle.

_________________
Enne teema püstitamist kasutage OTSINGUT
Küsi targalt: Infot siit !
Kui aru ei saa, siis küsi.

natsa
Vana Pingviin
Vana Pingviin


Vanus: 74
Liitunud: 25.03.2009
Postitused: 537
Asukoht: Kärdla
Distributsioon: LMDE-2 Mate 64-bit
estonia.gif
postituspostitatud: 02.01.2014, 22:05  postituse pealkiri:  (teema puudub)  

imre kirjutas:
libnss3-tools vajalik paigaldada ning siis käsk:
modutil -dbdir sql:$HOME/.pki/nssdb -add opensc-pkcs11 -libfile opensc-pkcs11.so -mechanisms FRIENDLY

Aga mina olen liigapalju laisk küll, et browserit sulgeda.
Peale toiminguid alles panin kinni ja uuesti tööle.


Tähendab, on õnnelikum käsi. Very Happy

_________________
Kõige parem asi on töötav asi.

asjameez
Vana Pingviin
Vana Pingviin


Vanus: 30
Liitunud: 09.03.2007
Postitused: 428
Asukoht: Tallinn
Distributsioon: Kubuntu
estonia.gif
postituspostitatud: 02.01.2014, 22:12  postituse pealkiri:  (teema puudub)  

Tegin täpselt nii nagu http://www.id.ee/?id=35974 juhendas ja mitte mingit efekti. Tegin siis restardi ka otsa ja hakkas tööle.

Mugav oleks kui see automaatskript kõige populaarsema brauseri ehk Chrome jaoks samuti ID kaardi ära seadistaks.

_________________
"Dumbusers use Windows. Powerusers use Linux. Dumbusers who think they are powerusers use Mac."

kmo
Uus kasutaja
Uus kasutaja



Liitunud: 04.01.2014
Postitused: 3

Distributsioon: Linux Mint 16
estonia.gif
postituspostitatud: 04.01.2014, 19:04  postituse pealkiri:  E: Unable to locate package estonianidcard  

Olen uus Linux-i kasutaja. Sooviks ka ID kaardi tööle saada... Kasutan LinuxMint 16-t. Proovisin paigaldada automaatse paigaldusskriptiga. Panen selle Downloads kataloogis tööle käsuga sudo sh install-esteid-ubuntu.sh, hakkab paigaldama.

Installeerimise lõpus lakooniline teade:

W: Failed to fetch https://installer.id.ee/media/ubuntu/dists/petra/main/binary-i386/Packages

E: Some index files failed to download. They have been ignored, or old ones used instead.
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package estonianidcard

Lehel http://pingviin.org/fpost77568.html õpetus:
Et tarkvara kasutada Linux Mint 16 või Ubuntu 14.04-ga tuleb skriptifaili kahes reas asendada mälumuutuja stringiga saucy, salvestada muudetud fail kodukataloogi ja käivitada see terminalikäsuga sudo sh install-esteid-ubuntu.sh.

Skriptifail on ilmselt see fail, mille laadin alla lehelt: https://installer.id.ee/?lang=est /automaatne paigaldusskript/ (see on mul Downloads kataloogis, eks)

Aga ... mida seal failis täpselt muutma pean, jääb paraku arusaamatuks. Millisele reale tuleb lisada saucy? Aitäh abi eest.


mihkel
Vana Pingviin
Vana Pingviin



Liitunud: 16.04.2006
Postitused: 1284

Distributsioon: Fedora/Centos
estonia.gif
postituspostitatud: 04.01.2014, 19:12  postituse pealkiri:  (teema puudub)  

Peaks olema rida 5. Selle asemele kirjuta:
OPSYS=saucy

ning seejärel salvesta ja lase uuesti käima sudo sh install-esteid-ubuntu.sh

Võimalik, et pead enne /etc/apt/sources.list.d/ kaustast ria varamu ära kustutama.




Viimati muutis mihkel 04.01.2014, 19:17; muudetud 1 kord
Sander
Vana Pingviin
Vana Pingviin



Liitunud: 14.10.2007
Postitused: 615


estonia.gif
postituspostitatud: 04.01.2014, 19:16  postituse pealkiri:  Re: E: Unable to locate package estonianidcard  

kmo kirjutas:

Aga ... mida seal failis täpselt muutma pean, jääb paraku arusaamatuks. Millisele reale tuleb lisada saucy? Aitäh abi eest.


Nendes kahes reas asendad $OPSYS sõnaga saucy

echo "deb https://installer.id.ee/media/ubuntu/ $OPSYS main" | sudo dd of=$REPO_FILE 1>/dev/null 2>&1

echo "deb https://installer.id.ee/media/ubuntu/ $OPSYS main" | sudo dd of=$REPO_FILE.save 1>/dev/null 2>&1

echo "deb https://installer.id.ee/media/ubuntu/ saucy main" | sudo dd of=$REPO_FILE 1>/dev/null 2>&1

echo "deb https://installer.id.ee/media/ubuntu/ saucy main" | sudo dd of=$REPO_FILE.save 1>/dev/null 2>&1


kmo
Uus kasutaja
Uus kasutaja



Liitunud: 04.01.2014
Postitused: 3

Distributsioon: Linux Mint 16
estonia.gif
postituspostitatud: 04.01.2014, 19:57  postituse pealkiri:  Re: E: Unable to locate package estonianidcard  

Sander kirjutas:
kmo kirjutas:

Aga ... mida seal failis täpselt muutma pean, jääb paraku arusaamatuks. Millisele reale tuleb lisada saucy? Aitäh abi eest.


Nendes kahes reas asendad $OPSYS sõnaga saucy

echo "deb https://installer.id.ee/media/ubuntu/ $OPSYS main" | sudo dd of=$REPO_FILE 1>/dev/null 2>&1

echo "deb https://installer.id.ee/media/ubuntu/ $OPSYS main" | sudo dd of=$REPO_FILE.save 1>/dev/null 2>&1

echo "deb https://installer.id.ee/media/ubuntu/ saucy main" | sudo dd of=$REPO_FILE 1>/dev/null 2>&1

echo "deb https://installer.id.ee/media/ubuntu/ saucy main" | sudo dd of=$REPO_FILE.save 1>/dev/null 2>&1


Tänan!
Äge värk, läkski tööle : )

ID-kaardi meeskond tervitab Sind [ja siin peaks olema veel 'ja kasutajat Sander pingviin.org foorumis'] ID-kaardi eduka kasutuselevõtu puhul!


mihkel
Vana Pingviin
Vana Pingviin



Liitunud: 16.04.2006
Postitused: 1284

Distributsioon: Fedora/Centos
estonia.gif
postituspostitatud: 07.01.2014, 21:30  postituse pealkiri:  (teema puudub)  

Ahvisin martinit järgi ja pika häkkimise peale sain RIA softi Fedora peal kompileerima ja pakendatud.
https://github.com/turakas/ria-fedora-build
Kui keegi veel Fedorat kasutab ja julgust ka on, siis tehke proovi Smile

spec failid on muidugi kohutavad Sad


sadiini
Vana Pingviin
Vana Pingviin


Vanus: 48
Liitunud: 28.12.2007
Postitused: 1433
Asukoht: Otsige mind kolmandalt planeedilt...
Distributsioon: LXLE, Mint
estonia.gif
postituspostitatud: 04.02.2014, 17:07  postituse pealkiri:  (teema puudub)  

Mul siin ühes massinas uuenes 3.7 - 3.8. peale ja audentimine enam ei toiminud....
ID kaardi haldusvahend näitas, et kõik on korras, aga mitte kuhugile enam sisse logida ei saanud....
Samas teised sama süsteemiga masinad töötasid, nagu poleks midagi muutunud.

Ja selgus, et see masin otsustas olla Mäkk ja soovis, et talle öeldaks
Kood:
sudo rm -rf /var/db/TokenCache


Veider, aga töötas hetkega Shocked

_________________
Hea tarkvara kuulab kasutaja sõna Smile

imre
Vana Pingviin
Vana Pingviin



Liitunud: 16.08.2005
Postitused: 2548
Asukoht: Saku kant
Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 04.02.2014, 19:06  postituse pealkiri:  (teema puudub)  

sadiini, see on üks väga veider masin seega.

_________________
Enne teema püstitamist kasutage OTSINGUT
Küsi targalt: Infot siit !
Kui aru ei saa, siis küsi.

sadiini
Vana Pingviin
Vana Pingviin


Vanus: 48
Liitunud: 28.12.2007
Postitused: 1433
Asukoht: Otsige mind kolmandalt planeedilt...
Distributsioon: LXLE, Mint
estonia.gif
postituspostitatud: 04.02.2014, 20:10  postituse pealkiri:  (teema puudub)  

imre kirjutas:
sadiini, see on üks väga veider masin seega.


Onon...

HP Compaq 6910p

_________________
Hea tarkvara kuulab kasutaja sõna Smile

hirax
Pingviini aktivist
Pingviini aktivist


Vanus: 49
Liitunud: 25.10.2013
Postitused: 250
Asukoht: maal ja merel
Distributsioon: Mint 18.2 KDE, Kubuntu18.04, Linux Lite
estonia.gif
postituspostitatud: 05.03.2014, 05:53  postituse pealkiri:  (teema puudub)  

Mint 13 xfce 64bit
Täpset momenti pole tähele pannud, aga peale süsteemi uuendusi või Chrome uuendusi tekkis.
Nimelt Chrome-ga panka või maksuametisse sisenedes on tekkinud "Mozilla jama" - küsib kõigepealt pin2 ja peale kaks korda "cancel" vajutamist alles pin1 ja siis saab sisse küll.
"Maasikaks tordil" veel see, et teisel (tava)kasutajal küsib panka sisenedes kohe pin1, kuid samas on probleem e-kooli lehel. Mitu korda väidab chrome, et ei leia kaardilugejat ja siis äkki saab sisse ja ok.
Mozillaga seda jama kummalgi kasutajal ei ole.


mihkel
Vana Pingviin
Vana Pingviin



Liitunud: 16.04.2006
Postitused: 1284

Distributsioon: Fedora/Centos
estonia.gif
postituspostitatud: 05.03.2014, 10:30  postituse pealkiri:  (teema puudub)  

Pin2-e küsimine valel ajal on opensc 0.13 viga. Downgrade see opensc 0.12 peale ja probleem peaks kaduma.

LISA:
Peale seda pidin, vähemalt mina, muutma
/usr/share/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/{aa84ce40-4253-a00a-8cd6-0800200f9a66}/chrome/content/pkcs11-loader.js

faili selliseks.
Kood:

  } else if (platform == "X11") {
    [ "/usr/lib64/onepin-opensc-pkcs11.so",
      "/usr/lib/x86_64-linux-gnu/onepin-opensc-pkcs11.so",
      "/usr/lib/i386-linux-gnu/onepin-opensc-pkcs11.so",
      "/usr/lib/onepin-opensc-pkcs11.so


Ehk veenduma, et laetakse onepin* moodul. Vaikimisi on seal näiteks:
/usr/lib64/opensc-pkcs11.so


natsa
Vana Pingviin
Vana Pingviin


Vanus: 74
Liitunud: 25.03.2009
Postitused: 537
Asukoht: Kärdla
Distributsioon: LMDE-2 Mate 64-bit
estonia.gif
postituspostitatud: 06.03.2014, 16:36  postituse pealkiri:  (teema puudub)  

hirax kirjutas:
Mint 13 xfce 64bit
Täpset momenti pole tähele pannud, aga peale süsteemi uuendusi või Chrome uuendusi tekkis.
Nimelt Chrome-ga panka või maksuametisse sisenedes on tekkinud "Mozilla jama" - küsib kõigepealt pin2 ja peale kaks korda "cancel" vajutamist alles pin1 ja siis saab sisse küll.
"Maasikaks tordil" veel see, et teisel (tava)kasutajal küsib panka sisenedes kohe pin1, kuid samas on probleem e-kooli lehel. Mitu korda väidab chrome, et ei leia kaardilugejat ja siis äkki saab sisse ja ok.
Mozillaga seda jama kummalgi kasutajal ei ole.

Kui FF-s töötab, siis opensc variant ei muuda asja.

Jamab hoopis ~/.pki

http://www.id.ee/?id=35974 õpetus tekitas Ubuntu 12.04's sama pin-2 tüütuse.
Kuna LMDE sai uuesti installitud, aga kodukataloog jäi vana, siis chrome hakkas korralikult tööle.

Ubuntust /.pki välja, copy-paste LMDE ~/.pki ->Ubuntu ~ ja asi töötab! Very Happy

Panen siia igaks juhuks ~/.pki/nssb/pkcs11.txt sisu:

Kood:
library=
name=NSS Internal PKCS #11 Module
parameters=configdir='sql:/home/simmu/.pki/nssdb' certPrefix='' keyPrefix='' secmod='secmod.db' flags= updatedir='/home/simmu/.local/share/evolution' updateCertPrefix='' updateKeyPrefix='' updateid='/home/simmu/.local/share/evolution' updateTokenDescription='Evolution S/MIME'
NSS=Flags=internal,critical trustOrder=75 cipherOrder=100 slotParams=(1={slotFlags=[RSA,DSA,DH,RC2,RC4,DES,RANDOM,SHA1,MD5,MD2,SSL,TLS,AES,Camellia,SEED,SHA256,SHA512] askpw=any timeout=30})

library=/usr/lib/x86_64-linux-gnu/nss/libnssckbi.so
name=Mozilla Root Certs
NSS=trustOrder=100   

library=opensc-pkcs11.so
name=opensc-pkcs11
NSS=slotParams={0xffffffff=[slotFlags=PublicCerts ] 0x00000001=[slotFlags=PublicCerts ] 0x00000002=[slotFlags=PublicCerts ] 0x00000003=[slotFlags=PublicCerts ] 0x00000004=[slotFlags=PublicCerts ] }


"simmu" asemel oma valik.

Ehk on abi. Smile

_________________
Kõige parem asi on töötav asi.

hirax
Pingviini aktivist
Pingviini aktivist


Vanus: 49
Liitunud: 25.10.2013
Postitused: 250
Asukoht: maal ja merel
Distributsioon: Mint 18.2 KDE, Kubuntu18.04, Linux Lite
estonia.gif
postituspostitatud: 07.03.2014, 02:54  postituse pealkiri:  (teema puudub)  

mihkel kirjutas:
Downgrade see opensc 0.12 peale ja probleem peaks kaduma.

Synapticu väitel mul ongi kasutusel opensc 0.12

natsa kirjutas:

"simmu" asemel oma valik.
Ehk on abi. Smile

Paraku ei olnud abiks Crying or Very sad
Peale seda ei hakanud kaardi lugeja enam üldse tööle...


natsa
Vana Pingviin
Vana Pingviin


Vanus: 74
Liitunud: 25.03.2009
Postitused: 537
Asukoht: Kärdla
Distributsioon: LMDE-2 Mate 64-bit
estonia.gif
postituspostitatud: 07.03.2014, 11:59  postituse pealkiri:  (teema puudub)  

hirax kirjutas:
mihkel kirjutas:
Downgrade see opensc 0.12 peale ja probleem peaks kaduma.

Synapticu väitel mul ongi kasutusel opensc 0.12

natsa kirjutas:

"simmu" asemel oma valik.
Ehk on abi. Smile

Paraku ei olnud abiks Crying or Very sad
Peale seda ei hakanud kaardi lugeja enam üldse tööle...

Nojah... proovida ju võis... Sad

Süüdi paistab olevat uusim Chrome versioon, vanema versiooniga asi toimib.

Lasin uusima Chrome täielikult välja, installisin eelmise variandi ja tekitasin uue /.pki

Halb mõte oli /.config/Googlechrome kataloogi kustutamine - järjehoidjad läksid kaasa. Embarassed

Synapticust lukus ja sudo apt-mark hold tehtud.

_________________
Kõige parem asi on töötav asi.

Näita (aja järgi):      
Postita uus teemaVasta teemale


Vaata järgmist teemat
Vaata eelmist teemat
Powered by phpBB2 Plus based on phpBB © 2001/7 phpBB Group